import { Observable } from 'iterable-observer';
export declare function parseDocument(text: string, contentType?: string): Promise<Document>;
export declare function makeFormData(data: Record<string, any>): FormData;
export declare function serializeNode(root: Node): {
    contentType: string;
    data: string;
} | {
    contentType: string;
    data: FormData;
};
export declare function serialize<T>(data: T, contentType?: string): {
    contentType: string;
    data: string;
} | {
    contentType: string;
    data: FormData;
} | {
    contentType: string;
    data: URLSearchParams;
} | {
    data: FormData;
    contentType?: undefined;
} | {
    data: T;
    contentType: string;
};
declare enum FileMethod {
    text = "readAsText",
    dataURL = "readAsDataURL",
    binaryString = "readAsBinaryString",
    arrayBuffer = "readAsArrayBuffer"
}
export declare function readAs(file: Blob, method: keyof typeof FileMethod, encoding?: string): {
    progress: Observable<ProgressEvent<EventTarget>>;
    result: Promise<string | ArrayBuffer>;
};
/**
 * @param  raw - Binary data
 *
 * @return  Base64 encoded data
 */
export declare function encodeBase64(raw: string | Blob): Promise<string>;
export {};
